Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Interface Filterable

All Known Implementing Classes:
  Array, Bag, Collection, IdentifierBag, IdentifierCollection, IndexedCollection, JoinedSubclass, List, Map, PersistentClass, PrimitiveArray, RootClass, Set, SingleTableSubclass, Subclass, UnionSubclass

    public interface Filterable

Defines mapping elements to which filters may be applied.

Method Summary
`void` | `addFilter(String name, String condition)`
`Map` | `getFilterMap()`

Method Detail

### addFilter

    void addFilter(String name,
                   String condition)

### getFilterMap

    Map getFilterMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.